Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Interface Persistable

public interface Persistable

This interface defines the basic behavior for a persistable object.

Field Summary
`static int` | `PERSISTENCE_ALL` Persist changes for all modifiers
`static int` | `PERSISTENCE_INVALID` An invalid persistence mode
`static int` | `PERSISTENCE_NONE` Do not persist changes to backing store.
`static int` | `PERSISTENCE_NOTSET` Indicates that persistence mode has not been explicitly set
`static int` | `PERSISTENCE_VM_EXIT` Persist changes only when VM shuts down.

Method Summary
`boolean` | `isDirty()` Returns `true` if this component is dirty and needs to be updated.
`void` | `persist()` Persists changes to backing store
`void` | `setDirtyBit()` Sets dirty bit for this component.
`void` | `setDirtyBit(boolean dirtyBit)` Sets dirty bit for this component.

Field Detail

### PERSISTENCE_INVALID

    public static final int PERSISTENCE_INVALID

  An invalid persistence mode
  See Also:
    Constant Field Values

### PERSISTENCE_NOTSET

    public static final int PERSISTENCE_NOTSET

  Indicates that persistence mode has not been explicitly set
  See Also:
    Constant Field Values

### PERSISTENCE_NONE

    public static final int PERSISTENCE_NONE

  Do not persist changes to backing store.
  See Also:
    Constant Field Values

### PERSISTENCE_VM_EXIT

    public static final int PERSISTENCE_VM_EXIT

  Persist changes only when VM shuts down.
  See Also:
    Constant Field Values

### PERSISTENCE_ALL

    public static final int PERSISTENCE_ALL

  Persist changes for all modifiers
  See Also:
    Constant Field Values

Method Detail

### setDirtyBit

    public void setDirtyBit()

  Sets dirty bit for this component.

### setDirtyBit

    public void setDirtyBit(boolean dirtyBit)

  Sets dirty bit for this component.

### isDirty

    public boolean isDirty()

  Returns `true` if this component is dirty and needs to be updated.
  Returns:
    `true` if this component needs to be udpated.

### persist

    public void persist()
                 throws JAZNException

  Persists changes to backing store
    `JAZNException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.